%define specrelease 1%{?dist}
%if 0%{?openeuler}
%define specrelease 5
%endif

Name:           dde-control-center
Version:        5.4.43.27
Release:        %{specrelease}
Summary:        New control center for Linux Deepin
License:        GPLv3
URL:            https://github.com/linuxdeepin/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         0001-hide-authorized.patch
Patch1:		0002-Repair-user-name-related-prompt-information.patch

BuildRequires:  gcc-c++
BuildRequires:  desktop-file-utils
BuildRequires:  dde-dock-devel
BuildRequires:  pkgconfig(dde-network-utils)
BuildRequires:  dtkwidget-devel
BuildRequires:  dtkgui-devel dtkcore-devel
BuildRequires:  dde-qt-dbus-factory-devel
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(geoip)
BuildRequires:  pkgconfig(libnm)
BuildRequires:  libpwquality-devel
BuildRequires:  qt5-devel
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  kf5-networkmanager-qt-devel
BuildRequires:  udisks2-qt5-devel
BuildRequires:  qt5-linguist
BuildRequires:  cmake
BuildRequires:  libXext-devel
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  gtest-devel
BuildRequires:  gmock-devel
BuildRequires:  polkit-qt5-1-devel
BuildRequires:  deepin-pw-check
BuildRequires:  deepin-pw-check-devel
Requires:       dde-account-faces
Requires:       dde-api
Requires:       dde-daemon
Requires:       dde-qt5integration
Requires:       dde-network-utils
Requires:       startdde
Requires:       dde-server-industry-config
#Requires:       deepin-pw-check
Requires:       cracklib
Recommends:     NetworkManager-l2tp

%description
New control center for Linux Deepin.

%package devel
Summary:        %{summary}

%description devel
%{summary}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
sed -i 's|lrelease|lrelease-qt5|' translate_generation.sh
sed -i -E '/add_compile_definitions/d' CMakeLists.txt

%build
%cmake . -DDCC_DISABLE_GRUB=YES \
         -DDISABLE_SYS_UPDATE=YES \
         -DDISABLE_ACTIVATOR=YES
%make_build

%post
#create-cracklib-dict /usr/share/dict/MainEnglishDictionary_ProbWL.txt

%postun
#if [ "$1" = "0" ] ; then
#	create-cracklib-dict /usr/share/dict/MainEnglishDictionary_ProbWL.txt
#fi

%install
%make_install INSTALL_ROOT=%{buildroot}
# place holder plugins dir
mkdir -p %{buildroot}%{_libdir}/%{name}/plugins
# https://github.com/linuxdeepin/dde-control-center/issues/115
# And we disabled SYS_UPDATE, so reboot-reminder-dialog is useless.
#rm %{buildroot}%{_bindir}/reboot-reminder-dialog
mkdir -p %{buildroot}/usr/lib64/cmake/DdeControlCenter
mv %{buildroot}/cmake/DdeControlCenter/DdeControlCenterConfig.cmake %{buildroot}/usr/lib64/cmake/DdeControlCenter
mv %{buildroot}/usr/lib/libdccwidgets.so %{buildroot}%{_libdir}/
install -Dm644 com.deepin.controlcenter.addomain.policy %{buildroot}%{_datadir}/polkit-1/actions/

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop ||:

%ldconfig_scriptlets

%files
%doc README.md
%license LICENSE
%{_sysconfdir}/
%{_bindir}/abrecovery
%{_bindir}/dde-control-center
%{_bindir}/dde-control-center-wapper
%{_datadir}/
%{_libdir}/libdccwidgets.so
/etc/xdg/autostart/deepin-ab-recovery.desktop

%files devel
%{_includedir}/dde-control-center
%{_libdir}/cmake/DdeControlCenter/

%changelog
* Thu Apr 06 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.4.43.27-5
- Repair user name related prompt information

* Wed Aug 10 2022 liweiganga <liweiganga@uniontech.com> - 5.4.43.27-4
- fix: issue#I5LI5A

* Fri Aug 05 2022 liweiganga <liweiganga@uniontech.com> - 5.4.43.27-3
- hide authorized

* Tue Aug 02 2022 liweiganga <liweiganga@unionttech.com> - 5.4.43.27-2
- Remove installation dependencies

* Mon Jul 18 2022 konglidong <konglidong@uniontech.com> - 5.4.43.27-1
- Update to 5.4.43.27

* Sun Jan 30 2022 liweigang <liweiganga@uniontech.com> - 5.3.0.54.4-2
- fix build error

* Wed Jul 07 2021 weidong <weidong@uniontech.com> - 5.3.0.54.4-1
- Update 5.3.0.54.4

* Fri Sep 4 2020 chenbo pan <panchenbo@uniontech.com> 5.1.0.19-3
- fix compile fail

* Fri Jul 03 2020 uniontech <uoser@uniontech.com> - 5.1.0.19-2
- Add dde.sh to profile.d

* Mon Jun 15 2020 uniontech <uoser@uniontech.com> - 5.1.0.19
- Remove the universal menu.

* Fri May 29 2020 uniontech <uoser@uniontech.com> - 5.0.30
- Project init.

